package com.sdtool.common.entity.design;

import com.sdtool.common.entity.base.BaseEntity;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

import java.util.List;

public class DesignTagType extends BaseEntity {
    @Comment("")
    @RColumn("id")
    private long id;

    @Comment("")
    @RColumn("idparenttype")
    private long idParentType;

    @Comment("")
    @RColumn("name")
    private String name;

    private List<DesignTagType> subTypes;

    private List<DesignTag> tags;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getIdParentType() {
        return idParentType;
    }

    public void setIdParentType(long idParentType) {
        this.idParentType = idParentType;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<DesignTagType> getSubTypes() {
        return subTypes;
    }

    public void setSubTypes(List<DesignTagType> subTypes) {
        this.subTypes = subTypes;
    }

    public List<DesignTag> getTags() {
        return tags;
    }

    public void setTags(List<DesignTag> tags) {
        this.tags = tags;
    }
}
